package it.integry.integrywmsnative.core.rest.model.uds;

import java.util.List;

public class CreateUDSRequestDTO {

    private String codMdep;
    private int segno;
    private String ragSoc;
    private Integer numCollo;
    private String serCollo;
    private int causaleCollo;

    private List<CreateUDSRequestOrderDTO> orders;

    public String getCodMdep() {
        return codMdep;
    }

    public CreateUDSRequestDTO setCodMdep(String codMdep) {
        this.codMdep = codMdep;
        return this;
    }

    public int getSegno() {
        return segno;
    }

    public CreateUDSRequestDTO setSegno(int segno) {
        this.segno = segno;
        return this;
    }

    public String getRagSoc() {
        return ragSoc;
    }

    public CreateUDSRequestDTO setRagSoc(String ragSoc) {
        this.ragSoc = ragSoc;
        return this;
    }

    public Integer getNumCollo() {
        return numCollo;
    }

    public CreateUDSRequestDTO setNumCollo(Integer numCollo) {
        this.numCollo = numCollo;
        return this;
    }

    public String getSerCollo() {
        return serCollo;
    }

    public CreateUDSRequestDTO setSerCollo(String serCollo) {
        this.serCollo = serCollo;
        return this;
    }

    public int getCausaleCollo() {
        return causaleCollo;
    }

    public CreateUDSRequestDTO setCausaleCollo(int causaleCollo) {
        this.causaleCollo = causaleCollo;
        return this;
    }

    public List<CreateUDSRequestOrderDTO> getOrders() {
        return orders;
    }

    public CreateUDSRequestDTO setOrders(List<CreateUDSRequestOrderDTO> orders) {
        this.orders = orders;
        return this;
    }



    public static class Causale {
        public static final int SCARICO = 0;
        public static final int POSIZIONAMENTO = 1;
    }
}
